Permalink
Browse files

Add a shim for ActionController::Assertions

  • Loading branch information...
1 parent ba3ba5a commit 4dd153074e90c41fa58ac436f2c66bbd48ccd958 @wycats committed Aug 4, 2010
Showing with 10 additions and 0 deletions.
  1. +1 −0 rails_upgrade.rb
  2. +9 −0 rails_upgrade/action_controller.rb
View
@@ -56,6 +56,7 @@ def require_bundler
require "rails/all"
require "active_support/all"
require "rails_upgrade/action_view"
+require "rails_upgrade/action_controller"
# This is needed because Rails 3 requires development.rb, while Rails 2.3
# invoked it in a special scope
@@ -0,0 +1,9 @@
+require "action_dispatch"
+
+module ActionController
+ module Assertions
+ def self.const_missing(constant)
+ ActionDispatch::Assertions.const_get(constant)
+ end
+ end
+end

0 comments on commit 4dd1530

Please sign in to comment.